如何解决Linux Alpine上的“tar:invalid magic”错误

我正在Alpine Linux上安装sqlite.我下载sqlite-autoconf-3130000.tar.gz但tar无法打开它.我试过这个answer,但它不起作用. tar给出了这样的信息:

tar: invalid magic
tar: short read

我写了这些命令.

wget https://www.sqlite.org/2015/sqlite-autoconf-3090100.tar.gz
tar -zxvf sqlite-autoconf-3090100.tar.gz
最佳答案
尝试安装tar包(apk添加tar). Busybox tar(默认)不支持所有功能.

转载注明原文:如何解决Linux Alpine上的“tar:invalid magic”错误 - 代码日志